com.romix.scala

## Class Some<V>

- java.lang.Object
- - com.romix.scala.Option<V>
  - - com.romix.scala.Some<V>

Type Parameters:
  `V` -

    public class Some<V>
    extends Option<V>

Mimic Some in Scala

### Constructor Summary

Constructors
Constructor and Description
`Some(V v)`

### Method Summary

Methods
`V` `get()`
`boolean` `nonEmpty()`

### Methods inherited from class com.romix.scala.Option

`makeOption, makeOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Some

    public Some(V v)

### Method Detail

#### get

    public V get()

#### nonEmpty

    public boolean nonEmpty()

Overrides:
  `nonEmpty` in class `Option<V>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015